Get the changelog - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v0
changelog
Try it
Get the changelog
cURL
curl --request GET \
--url https://demo-api.gable.ai/v0/changelog \
--header 'X-API-KEY: <api-key>'
Python
import requests
url = "https://demo-api.gable.ai/v0/changelog"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://demo-api.gable.ai/v0/changelog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
200
400
{
"changelogEvents": [\
{\
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",\
"timestamp": "2023-11-07T05:31:56Z",\
"entityType": "DATA_ASSET",\
"dataAssetResourceName": "<string>",\
"eventTitle": "<string>",\
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",\
"prLink": "https://github.com/fakeorg/fakerepo/pull/1",\
"piiDetected": {}\
}\
]
}
{
"message": "<string>",
"id": 123,
"title": "<string>"
}
Authorizations
X-API-KEY
string
header
required
Query Parameters
- limit (integer) The limit used for offset-based pagination
- offset (integer) The offset used for offset-based pagination
- source (string[]) Comma-separated list of the sources to filter by
- source_type (string[]) Comma-separated list of the source types to filter by
- event (string[]) Comma-separated list of the changelog events to filter by
Changelog Response
changelogEvents (object[]) required List of changelog events in chronological order (oldest first)
Option 1
Option 2
Option 3
Option 4
Option 5
Option 6
Option 7
Option 8
Option 9
Option 10
Option 11
Option 12